# Rename a site collection

Changes the system name of a site collection.

Endpoint: POST /api/v1/collections/{collectionId}/rename
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `collectionId` (string, required)
    The identifier of the site collection.

## Query parameters:

  - `environmentId` (string)

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    Input object containing the new system name of the site collection.

## Request fields (application/json):

  - `systemName` (string, required)
    The new system name for the site collection.
Example value: skate-brand-sites
    Example: skate-brand-sites

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `handle` (string)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

